Bug 1122619 - unnecessary files being distributed
Summary: unnecessary files being distributed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 15:56 UTC by Paolo Bonzini
Modified: 2015-03-05 09:48 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:48:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Paolo Bonzini 2014-07-23 15:56:03 UTC
The following files are needed for SPARC only and must be removed from 2.1

./usr/share/qemu-kvm/QEMU,cgthree.bin
./usr/share/qemu-kvm/QEMU,tcx.bin

Comment 3 Qian Guo 2014-09-28 05:26:00 UTC
Reproduce with qemu-kvm-rhev-2.0.0-3.el7ev.x86_64

steps:
# pwd
/usr/share/qemu-kvm
# ll  QEMU,* 
-rw-r--r--. 1 root root  850 7月   9 18:44 QEMU,cgthree.bin
-rw-r--r--. 1 root root 1410 7月   9 18:44 QEMU,tcx.bin
# rpm -qf QEMU,*
qemu-kvm-rhev-2.0.0-3.el7ev.x86_64
qemu-kvm-rhev-2.0.0-3.el7ev.x86_64

So this bug is reproduced.



Verify this bug with qemu-kvm-rhev-2.1.2-1.el7.x86_64
# pwd
/usr/share/qemu-kvm
# ls -a
.              linuxboot.bin     q35-acpi-dsdt.aml      rhel6-virtio.rom
..             multiboot.bin     qemu-icon.bmp          sgabios.bin
acpi-dsdt.aml  pxe-e1000.rom     qemu_logo_no_text.svg  vgabios.bin
bios-256k.bin  pxe-ne2k_pci.rom  rhel6-e1000.rom        vgabios-cirrus.bin
bios.bin       pxe-pcnet.rom     rhel6-ne2k_pci.rom     vgabios-qxl.bin
keymaps        pxe-rtl8139.rom   rhel6-pcnet.rom        vgabios-stdvga.bin
kvmvapic.bin   pxe-virtio.rom    rhel6-rtl8139.rom      vgabios-vmware.bin

No QEMU* files exist, so this bug is fixed.

Comment 5 errata-xmlrpc 2015-03-05 09:48:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.